Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.master.search.merge
Class MergeHistoryNode

    java.lang.Object
      com.stc.eindex.master.search.merge.MergeHistoryNode

All Implemented Interfaces:
  java.io.Serializable

public class MergeHistoryNode
extends java.lang.Object
implements java.io.Serializable

The MergeHistoryNode class helps create a merge history tree (for more information about merge histories, see the Enterprise Data Manager User's Guide). Each merge transaction in the merge history tree is represented by one MergeHistoryNode object. A merge history node includes an EUID, a parent node, a source node, and a destination node. The parent node is the result of the merge; the source node is the record that was not kept after the merge; and the destination node is the record that was kept after the merge.

See Also:
  Serialized Form

Constructor Summary
`MergeHistoryNode()` Creates an instance of the MergeHistoryNode class.
`MergeHistoryNode(java.lang.String destEUID, java.lang.String sourceEUID)` Creates an instance of the MergeHistoryNode class.

Method Summary
`MergeHistoryNode` | `getDestinationNode()` Retrieves the destination node of a merge transaction in a merge history tree.
`java.lang.String` | `getEUID()` Retrieves the kept EUID from a merge transaction in a merge history tree.
`MergeHistoryNode` | `getParentNode()` Retrieves the parent node of a merge transaction in a merge history tree.
`MergeHistoryNode` | `getSourceNode()` Retrieves the source node of a merge transaction in a merge history tree.
`TransactionObject` | `getTransactionObject()` Retrieves the transaction object associated with a merge transaction in a merge history tree.
`void` | `prettyPrint(int indent)` Displays the information in a merge history node in readable format.
`void` | `setDestinationNode(MergeHistoryNode destinationNode)` Sets the destination node for an instance of the MergeHistoryNode class.
`void` | `setEUID(java.lang.String euid)` Sets the EUID for an instance of the MergeHistoryNode class.
`void` | `setParentNode(MergeHistoryNode parentNode)` Sets the parent node for an instance of the MergeHistoryNode class.
`void` | `setSourceNode(MergeHistoryNode sourceNode)` Sets the source node for an instance of the MergeHistoryNode class.
`void` | `setTransactionObject(TransactionObject transactionObject)` Sets the transaction object for an instance of the MergeHistoryNode class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeHistoryNode

    public MergeHistoryNode()

  Creates an instance of the MergeHistoryNode class.

  Parameters:
    None.
Throws:
  None.

### MergeHistoryNode

    public MergeHistoryNode(java.lang.String destEUID,
                            java.lang.String sourceEUID)

  Creates an instance of the MergeHistoryNode class.

  Parameters:
    `destEUID` - The EUID of the record that was kept after the merge.
    `sourceEUID` - The EUID of the record that was not kept after the merge.
  Throws:
    None.

Method Detail

### getDestinationNode

    public MergeHistoryNode getDestinationNode()

  Retrieves the destination node of a merge transaction in a merge history tree.

  Parameters:
    None.

  Returns:
    `MergeHistoryNode` - A destination node.
  Throws:
    None.

### getEUID

    public java.lang.String getEUID()

  Retrieves the kept EUID from a merge transaction in a merge history tree.

  Parameters:
    None.

  Returns:
    `String` - An EUID.
  Throws:
    None.

### getParentNode

    public MergeHistoryNode getParentNode()

  Retrieves the parent node of a merge transaction in a merge history tree.

  Parameters:
    None.

  Returns:
    `MergeHistoryNode` - A parent node.
  Throws:
    None.

### getSourceNode

    public MergeHistoryNode getSourceNode()

  Retrieves the source node of a merge transaction in a merge history tree.

  Parameters:
    None.

  Returns:
    `MergeHistoryNode` - A source node.
  Throws:
    None.

### getTransactionObject

    public TransactionObject getTransactionObject()

  Retrieves the transaction object associated with a merge transaction in a merge history tree.

  Parameters:
    None.

  Returns:
    `TransactionObject` - A transaction object.
  Throws:
    None.

### prettyPrint

    public void prettyPrint(int indent)

  Displays the information in a merge history node in readable format.

  Parameters:
    `indent` - An integer representing the indentation for each merge history level.
  Returns:
    `void` - None.
  Throws:
    None.

### setDestinationNode

    public void setDestinationNode(MergeHistoryNode destinationNode)

  Sets the destination node for an instance of the MergeHistoryNode class. This represents the record that was kept after the merge.

  Parameters:
    `destinationNode` - A merge history node representing the destination node.
  Returns:
    `void` - None.
  Throws:
    None.

### setEUID

    public void setEUID(java.lang.String euid)

  Sets the EUID for an instance of the MergeHistoryNode class. This is the EUID of the record that resulted from the merge.

  Parameters:
    `euid` - A string containing an EUID.
  Returns:
    `void` - None.
  Throws:
    None.

### setParentNode

    public void setParentNode(MergeHistoryNode parentNode)

  Sets the parent node for an instance of the MergeHistoryNode class. This represents the record that resulted from the merge.

  Parameters:
    `parentNode` - A merge history node representing the parent node.
  Returns:
    `void` - None.
  Throws:
    None.

### setSourceNode

    public void setSourceNode(MergeHistoryNode sourceNode)

  Sets the source node for an instance of the MergeHistoryNode class. This represents the record that was not kept after the merge.

  Parameters:
    `sourceNode` - A merge history node representing the source node.
  Returns:
    `void` - None.
  Throws:
    None.

### setTransactionObject

    public void setTransactionObject(TransactionObject transactionObject)

  Sets the transaction object for an instance of the MergeHistoryNode class. This object includes the transaction information associated with the merge (as stored in the sbyn_transaction table).

  Parameters:
    `transactionObject` - A transaction object.
  Returns:
    `void` - None.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.